Subject: Concierge
From: gelna <[email-masked]>
To: subir <[email-masked]>
Cc: Sanjay Dutt <[email-masked]>
Date: Tue, 24 Feb 2015 02:05:40 +0530 (IST)

0841-9153 

Concierge order no# 110981

FootLocker

It's very hard to place an order with this merchant. As per payment verification team, the IP address is showing as Dallas when I placed the order but now when he checked it is showing I am located in Manila , Philippines. ( Pls note my Firefox IP is already in set up in Dayton, Ohio ).  

He's also asking the customer service number which I can find at the back of the Mastercard. I do not have that information.
Pls advise.

They might cancel the order. 

Regards,
Gelna